Skip to main content
GET
/
api
/
v1
/
history
/
market
Single market history datapoint
curl --request GET \
  --url https://api.vatic.trading/api/v1/history/market
import requests

url = "https://api.vatic.trading/api/v1/history/market"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.vatic.trading/api/v1/history/market', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "now": "2025-04-07T12:00:00.000Z",
  "asset": "btc",
  "marketType": "5min",
  "provider": "chainlink",
  "market": {
    "timestamp_start": 1744027500,
    "timestamp_end": 1744027800,
    "start_iso": "2025-04-07T12:05:00.000Z",
    "end_iso": "2025-04-07T12:10:00.000Z",
    "slug": "btc-updown-5m-1744027500",
    "url": "https://polymarket.com/event/btc-updown-5m-1744027500"
  },
  "datapoint": {
    "source": "chainlink",
    "price": 82450.75
  }
}

Query Parameters

asset
enum<string>
required
Available options:
btc,
eth,
sol,
xrp,
hype,
doge,
bnb
type
enum<string>
required
Available options:
5min,
15min,
1hour,
4hour,
daily
timestamp
integer
required

Unix timestamp within the target window. Also accepts marketStart or start.

Response

Market datapoint